For the latest news and information visit The GNU Crypto project

## gnu.crypto.key.srp6
Class SRPAlgorithm

    java.lang.Object
      |
      +--gnu.crypto.key.srp6.SRPAlgorithm

public class SRPAlgorithm
extends java.lang.Object

Utilities for use with SRP-6 based methods and protocols.

Reference:

1. SRP Protocol Design
   Thomas J. Wu.

Field Summary
`static java.math.BigInteger` `N_1024`
`static java.math.BigInteger` `N_1280`
`static java.math.BigInteger` `N_1536`
`static java.math.BigInteger` `N_2048`
`static java.math.BigInteger` `N_264`
`static java.math.BigInteger` `N_384`
`static java.math.BigInteger` `N_512`
`static java.math.BigInteger` `N_640`
`static java.math.BigInteger` `N_768`

Method Summary
`static void` `checkParams(java.math.BigInteger N, java.math.BigInteger g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### N_2048

    public static final java.math.BigInteger N_2048

### N_1536

    public static final java.math.BigInteger N_1536

### N_1280

    public static final java.math.BigInteger N_1280

### N_1024

    public static final java.math.BigInteger N_1024

### N_768

    public static final java.math.BigInteger N_768

### N_640

    public static final java.math.BigInteger N_640

### N_512

    public static final java.math.BigInteger N_512

### N_384

    public static final java.math.BigInteger N_384

### N_264

    public static final java.math.BigInteger N_264

Method Detail

### checkParams

    public static void checkParams(java.math.BigInteger N,
                                   java.math.BigInteger g)

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.